Rank Companies
curl --request GET \
--url https://sacra.com/api/v1/companies/rankings/ \
--header 'Authorization: <api-key>'import requests
url = "https://sacra.com/api/v1/companies/rankings/"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://sacra.com/api/v1/companies/rankings/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"companies": [
{
"id": 123,
"slug": "<string>",
"name": "<string>",
"domain": "<string>",
"type": "<string>",
"metric": "<string>",
"metric_value": 123,
"metric_date": "<string>"
}
],
"meta": {
"sort_by": "<string>",
"order": "<string>",
"company_type": "<string>",
"include_acquired": true,
"limit": 123,
"total_ranked": 123
}
}Unsupported sort_by. Supported values: valuation, revenue, total_fundingCompanies
Rank companies - Companies API
Build a ranked list of active companies by valuation, revenue, or total funding.
GET
/
api
/
v1
/
companies
/
rankings
/
Rank Companies
fundingUse this endpoint to build company leaderboards, screen a market, or monitor the
companies with the highest or lowest financial metrics. Choose
For example, use the following query to return the 25 highest-valued private
companies:
By default, rankings exclude companies that are targets of active, closed acquisitions. Pass
valuation,
revenue, or total_funding with sort_by, then narrow the results by company
type, sort order, and result limit.
The response includes the company identity, the metric used for ranking, its
numeric value, and the date associated with that value. It also returns metadata
that summarizes the applied ranking options and the total number of companies
with a value for the selected metric. Companies without that metric are not
included in the ranking.
By default, the endpoint returns up to 50 companies ranked by valuation in
descending order. You can request up to 100 results.
curl --request GET \
--url 'https://sacra.com/api/v1/companies/rankings/?sort_by=valuation&company_type=private&order=desc&limit=25' \
--header 'Authorization: Token YOUR_API_KEY'
include_acquired=true to include them. Announced or cancelled deals do not trigger this exclusion. This option does not require the Events beta flag.Authorizations
Authenticate using one of two formats:
- Organization/user token:
Token <your-token> - Stytch JWT:
Bearer <your-jwt>
Query Parameters
Filter by company type. Defaults to private.
Available options:
all, private, public Include companies that are the acquired company in an active, closed acquisition. Defaults to false.
Maximum rows to return. Defaults to 50; max 100.
Sort order. Defaults to desc.
Available options:
asc, desc Metric to rank by. Defaults to valuation.
Available options:
revenue, total_funding, valuation